// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_service.sql

package queries

import (
	"context"

	"github.com/jackc/pgx/v5/pgtype"
)

const getService = `-- name: GetService :one

SELECT
    s.group_id,
    s.name,
    s.inway_address,
    s.endpoint_url
FROM
    controller.services as s
WHERE
    group_id = $1
    AND name = $2
    AND ($3::text IS NULL OR inway_address = $3::text)
`

type GetServiceParams struct {
	GroupID      string
	Name         string
	InwayAddress pgtype.Text
}

type GetServiceRow struct {
	GroupID      string
	Name         string
	InwayAddress string
	EndpointUrl  string
}

// Copyright © VNG Realisatie 2023
// Licensed under the EUPL
func (q *Queries) GetService(ctx context.Context, arg *GetServiceParams) (*GetServiceRow, error) {
	row := q.db.QueryRow(ctx, getService, arg.GroupID, arg.Name, arg.InwayAddress)
	var i GetServiceRow
	err := row.Scan(
		&i.GroupID,
		&i.Name,
		&i.InwayAddress,
		&i.EndpointUrl,
	)
	return &i, err
}
